<!-- bootstrap datepicker -->
<link rel="stylesheet" href="{{ static('bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css') }}">
<!-- <link rel="stylesheet" href="{{ static('plugins/iCheck/all.css') }}"> -->


<div class="modal-dialog" id="empresa">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-{{ bg_header }}">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title"> {{ titulo }} </h4>
            </div>
                <div class="modal-body">
                    {% if not object %}
                    <form class="form-horizontal" action="{{ url('empresa:empresa_agregar') }}" method="post" enctype="multipart/form-data" role="form">
                    {% else %}
                    <form class="form-horizontal" action="{{ url('empresa:empresa_editar', args=[object.pk]) }}" method="post" enctype="multipart/form-data" role="form">
                    {% endif %}
                        <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                        <div class="box-body">
                            <div class="form-group">
                                <label for="id_representante_legal" class="col-sm-2 control-label">Propietario(s)</label>
                                <div class="col-sm-10">
                                    <div class="input-group">
                                        {{ form.representante_legal }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.representante_legal.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="id_razon_social" class="col-sm-2 control-label">Razón Social</label>
                                <div class="col-sm-10">
                                    <div class="input-group">
                                        {{ form.razon_social }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-file"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.razon_social.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="id_nombre_comercial" class="col-sm-2 control-label">Nombre Comercial</label>
                                <div class="col-sm-10">
                                    <div class="input-group">
                                        {{ form.nombre_comercial }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-file"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.nombre_comercial.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="id_nro_rif" class="col-sm-2 control-label">Documentos</label>
                                <div class="col-sm-5">
                                    <div class="input-group">
                                        <input type="text" placeholder="Nro de RIF" name="nro_rif" maxlength="12" value="{{ form.nro_rif.value() }}" id="id_nro_rif" data-inputmask="'mask': ['J-99999999-9']" data-mask  class="form-control" />
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-file"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.nro_rif.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>

                                </div>

                                <div class="col-sm-5">
                                    <div class="input-group">
                                            <input type="text" placeholder="Registro Mercantil" name="nro_registro_mercantil" id="id_nro_registro_mercantil" class="form-control" value="{% if object %} {{ form.nro_registro_mercantil.value() }} {% endif %}" data-inputmask="['999-99999']" data-mask>
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-file"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.nro_registro_mercantil.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>

                            </div>
<hr>
<h4>Contacto</h4>
                            <div class="form-group">
                                <label for="id_email" class="col-sm-2 control-label">Email's</label>
                                <div class="col-sm-5">
                                    <div class="input-group">
                                            {{ form.email }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.email.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>

                                
                                <div class="col-sm-5">
                                    <div class="input-group">
                                            {{ form.segundo_email }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.segundo_email.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                            
                            <div class="form-group">
                                <label for="id_telefono" class="col-sm-2 control-label">Teléfonos</label>
                                <div class="col-sm-5">
                                    <div class="input-group">
                                        <input type="text" placeholder="Télefono ppal" name="telefono" id="id_telefono" value="{%if object %}{{ form.telefono.value() }}{% endif %}" class="form-control" data-inputmask="'mask': ['+58 (999) 999-99-99']" data-mask>
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-phone-alt"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.telefono.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>

                                <div class="col-sm-5">
                                    <div class="input-group">
                                        <input type="text" placeholder="Móvil - Celular" name="otro_telefono" id="id_otro_telefono" value="{%if object %}{{ form.otro_telefono.value() }}{% endif %}" class="form-control" data-inputmask="'mask': ['+58 (999) 999-99-99']" data-mask>
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-phone-alt"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.otro_telefono.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>


                            <div class="form-group">

                                <label for="id_zona_postal" class="col-sm-2 control-label">Zona Postal</label>
                                <div class="col-sm-10">
                                    <div class="input-group">
                                        {{ form.zona_postal }}
                                        <span class="input-group-addon"><i class="fa fa-map"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.zona_postal.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>

                            </div>


                            <div class="form-group">
                                <label for="id_domicilio_fiscal" class="col-sm-2 control-label">Domicilio</label>
                                <div class="col-sm-10">
                                    <div class="input-group">
                                        {{ form.domicilio_fiscal }}
                                        <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.domicilio_fiscal.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>

                            

                            <div class="form-group">
                                <label for="id_software" class="col-sm-2 control-label">Software</label>
                                <div class="col-sm-10">
                                    <div class="input-group">
                                        {{ form.software }}
                                        <span class="input-group-addon"><i class="fa fa-times-circle-o"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.software.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>

                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <button type="submit" class="btn btn-primary pull-right">
                                <i class="fa fa-{{ accion }}"></i>&nbsp;&nbsp;
                                {{ boton }}
                            </button>
                            <button type="button" class="btn btn-default pull-left" data-dismiss="modal">
                                <i class="fa fa-times"></i>&nbsp;&nbsp;
                                Cerrar
                            </button>
                       
                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
                
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- bootstrap datepicker -->
<script src="{{ static('bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ static('bower_components/bootstrap-datepicker/js//locales/bootstrap-datepicker.es.js') }}"></script>

<!-- InputMask -->
<script src="{{ static('plugins/input-mask/jquery.inputmask.js') }}"></script>

<script>
    $('#id_fecha_registro').datepicker({
        autoclose: true,
        format: "dd/mm/yyyy",
        language: "es"
    })

$('[data-mask]').inputmask()

$('#id_nro_rif').inputmask('a-99999999-9')
$('#id_nro_patente').inputmask('A-999999')
$('#id_nro_registro_mercantil').inputmask('999-99999')


</script>
